# UUID/V5

{% method -%}

Creates a new v5 UUID. v5 UUIDs are created by hashing (SHA1) a namespace-identifying UUID and a name string.

Input stack: `namespace-uuid name-str`

Output stack: `v5-uuid`

{% common -%}

```
PumpkinDB> "1183dcd3-59a3-4ff6-82f6-b114f1934497" UUID/STRING-> (our namespace UUID) "foo" UUID/V5.
0x2bf16f933bf55ff8ab3ffcbd31f3f749
```

{% endmethod %}

## Allocation

Allocates space for the new uuid to be pushed on stack.

## Errors

None

## Tests

```test
equal : 0x1183dcd359a34ff682f6b114f1934497 "foo" UUID/V5 0x2bf16f933bf55ff8ab3ffcbd31f3f749 EQUAL?.
```
